﻿using System;
using System.Collections.Generic;
using System.Text;
using Telerik.WinControls.UI.Docking;

namespace WindowsFormsApplication12
{
    public class MyToolTabStrip : ToolTabStrip
    {
        public MyToolTabStrip()
        {
            this.MouseEnter += new EventHandler(MyToolTabStrip_MouseEnter);
            this.MouseLeave += new EventHandler(MyToolTabStrip_MouseLeave);
        }

        void MyToolTabStrip_MouseLeave(object sender, EventArgs e)
        {
            this.CaptionVisible = false;
        }

        void MyToolTabStrip_MouseEnter(object sender, EventArgs e)
        {
            this.CaptionVisible = true;
        }

        //protected override Telerik.WinControls.ComponentInputBehavior CreateBehavior()
        //{
        //    return new MyComponentInputBehavior(this);
        //}

        public class MyComponentInputBehavior : Telerik.WinControls.ComponentInputBehavior
        {
            MyToolTabStrip owner;

            public MyComponentInputBehavior(MyToolTabStrip owner):base( owner)
            {
                this.owner = owner;
            }
            public override bool OnMouseEnter(EventArgs e)
            {               
                return base.OnMouseEnter(e);
            }
        }
    }
}
